=== debian/changelog ===
iraf (2.16.1+2018.03.10-2) unstable; urgency=low

  * Add flex as build dependency
  * Use O_RDONLY in open() calls to fix FTBFS on GNU HURD

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Mar 2018 10:02:35 +0100

iraf (2.16.1+2018.03.10-1) unstable; urgency=low

  * New upstream version 2.16.1+2018.03.10. Rediff patches
  * Update d/copyright for new cfitsio
  * Don't call testproc on "nocheck"
  * Set defaults for zgtenv
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Mar 2018 12:10:54 +0100

iraf (2.16.1+2018.02.04-4) unstable; urgency=low

  * Fix login.cl on non-terminal inputs
  * Fix initialization of partially initialized ~/.iraf

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Feb 2018 15:42:33 +0100

iraf (2.16.1+2018.02.04-3) unstable; urgency=low

  * Fix extern.pkg link

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 16:03:35 +0100

iraf (2.16.1+2018.02.04-2) unstable; urgency=low

  * Add mips64el to d/control Architecture flag

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 13:41:10 +0100

iraf (2.16.1+2018.02.04-1) unstable; urgency=low

  * Use tagged versions from github in d/watch
  * New upstream version 2.16.1+2018.02.04
  * Install extern.pkg in /etc/iraf/
  * Update VCS fields to use salsa.d.o
  * Add mips64el and ppc64el ports
  * Force the same version of all binary packages
  * Add saods9 as recommendation
  * Remove unavoidable gcc warnings when compiling spp and Fortran code

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Feb 2018 09:27:59 +0100

iraf (2.16.1+2017.12.28-2) unstable; urgency=medium

  * Add arm64 port

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Jan 2018 09:00:45 +0100

iraf (2.16.1+2017.12.28-1) unstable; urgency=medium

  * Fix CI test dir
  * Fix recommendatation for iraf graphics
  * Add MIPS port (32 bit little endian)
  * New upstream version 2.16.1+2017.12.28. Rediff patches
  * Push Standards-Version to 4.1.3 (no changes)

 -- Ole Streicher <olebole@debian.org>  Mon, 01 Jan 2018 14:40:09 +0100

iraf (2.16.1+2017.12.14-1) unstable; urgency=low

  * New upstream release. Switch to github upstream (oleboles fork).
  * Complete packaging restart from scratch. Closes: #690531

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Dec 2017 09:09:28 +0100

iraf (2.11.3-2) unstable; urgency=high

  * Recompiled from source (finally).  This obsoletes iraf-common, as iraf
    now replaces (and provides) it.  This process has resulted in massive
    source cleanups that are still ongoing.
  * The iraf-ibin and iraf-noaobin packages are still going to be in
    binary format for a while, as I'm working out a compilation bug, but
    at least this is a start.
  * Top level /iraf symlink has been removed.  I think I found all of the
    references to it, at least, so if I missed one and it crashes
    suddenly, file a bug.
  * Postinst configuration has now been replaced by debconf.  DO NOT
    ATTEMPT TO USE THE OLD CONFIGURATION SCRIPT WITH THIS PACKAGE.  It
    *will* horribly break things.
  * If you want to compile this yourself, you will need iraf-dev now,
    which is made from the same source package.
  * Added a note to the README.Debian about the bootstrapping process and
    the circular Build-Depends.
  * Section: is now contrib/graphics, since contrib/science doesn't exist
    yet after all.
  * Man pages for all commands in path! (closes: #22318)

 -- Zed Pobre <zed@debian.org>  Thu,  9 Mar 2000 13:17:39 -0600

iraf (2.11.3-1) frozen unstable; urgency=high

  * Upstream bugfix which fixes the Y2K related String_File errors that
    have been crippling the program.  I am still using the upstream
    binaries and have attempted to make only minimal changes to the
    packaging.  (closes: grave bug#54896)
  * Added the beginners guide, command language documentation and
    preliminary test procedure documentation.
  * Fixed a missing #DEBHELPER# in the postinst and postrm
  * Standards-Version 3.1.1

 -- Zed Pobre <zed@debian.org>  Fri, 14 Jan 2000 21:38:16 -0600

iraf (2.11.1-3) unstable; urgency=low

  * Fixed the short description slightly.

 -- Zed Pobre <zed@debian.org>  Thu, 10 Sep 1998 07:21:17 -0500

iraf (2.11.1-2) frozen unstable; urgency=medium

  * Bumped standards version to 2.4.1.0
  * Updated the postinst so that it forces the final-phase
    configuration script to look for (and attempt to place) the
    program symlinks in /usr/bin, rather than asking the user for a
    location (and defaulting to /usr/local/bin if you just press
    return).  It won't actually put them there because I've now
    hardwired the symlinks into the package itself to prevent
    aggravation of the namespace pollution problem that I haven't been
    able to fix (see the README.Debian file).
    Still, this closes Bug#21163.
  * Placed some notes in the README.Debian about possible problems
  * Filed a bug against the package (#22318) about the lack of manpages
    for the user-executable commands created via symlink in the last
    stage and created manpages for all of them symlinked to
    undocumented.7.gz.

 -- Zed Pobre <zed@debian.org>  Wed,  6 May 1998 01:38:26 -0500

iraf (2.11.1-1) unstable; urgency=low

  * Initial Release.

 -- Zed Pobre <zed@debian.org>  Tue, 10 Mar 1998 12:43:27 -0600
