=== debian/control ===
Source: iraf
Build-Depends: debhelper (>= 11),
               dh-exec,
               flex,
               libcfitsio-dev,
               libcurl4-gnutls-dev,
               libexpat1-dev,
               libncurses5-dev,
               libreadline-dev
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Standards-Version: 4.1.3
Homepage: http://iraf.noao.edu
Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git

Package: iraf
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iraf-noao,
            python3-pyraf | x11iraf | xterm | python-pyraf,
            saods9 | x11iraf
Suggests: iraf-dev
Multi-Arch: foreign
Description: Image Reduction and Analysis Facility
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics.
 .
 Other external or layered packages are available for
 applications such as data acquisition or handling data from other
 observatories and wavelength regimes such as the Hubble Space
 Telescope (optical), EUVE (extreme ultra-violet), or ROSAT and
 AXAF (X-ray). These external packages are distributed separately
 from the main IRAF distribution but can be easily installed.
 The IRAF system also the programmable Command Language scripting
 facility.

Package: iraf-dev
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Multi-Arch: no
Depends: gcc | c-compiler,
         iraf (= ${binary:Version}),
         libc6-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev,
         libexpat1-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iraf-noao-dev
Description: Image Reduction and Analysis Facility (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains the IMFORT Fortran/C programming interface, and
 the full SPP/VOS programming environment in which the portable IRAF
 system and all applications are written.

Package: iraf-noao
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Depends: iraf (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: IRAF NOAO data reduction package
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This file contains the NOAO packages for the reduction and analysis
 of Optical Astronomy data.

Package: iraf-noao-dev
Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
Multi-Arch: no
Depends: iraf-dev (= ${binary:Version}),
         iraf-noao (= ${binary:Version}),
         ${misc:Depends}
Description: IRAF NOAO data reduction package (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains additional libraries and headers used for
 compiling packages that extend the functionality of the iraf-noao
 package.
