## iraf 2.16.1+2018.06.15

=== debian/changelog ===
iraf (2.16.1+2018.06.15-5) unstable; urgency=low

  * Write default iraf,host,tmp variables back to environment
  * Adjust Github URLs
  * Fix gnu/kfreebsd support
  * Fix variable declaration in noao/obsutil/src/findgain.cl

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Aug 2018 17:09:16 +0200

iraf (2.16.1+2018.06.15-4) unstable; urgency=low

  * Move math and sys subdirs (doc) to iraf-dev
  * Support kfreeBSD
  * Backport votable data type patch from upstream

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Jul 2018 21:22:00 +0200

iraf (2.16.1+2018.06.15-3) unstable; urgency=low

  * Directly run mkarch to fix HURD build failure

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jun 2018 14:04:54 +0200

iraf (2.16.1+2018.06.15-2) unstable; urgency=low

  * Add non-linux architectures (kfreebsd, hurd) to d/control

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jun 2018 12:54:42 +0200

iraf (2.16.1+2018.06.15-1) unstable; urgency=low

  * Update download location to iraf-community
  * New upstream version 2.16.1+2018.06.15. Rediff patches
  * Update list of supported architectures (x32)
  * Push Standards-Version to 4.1.4. No changes needed
  * Fix installed name of iraf icon. Replace xpm logo with SVG
  * irafcl: exit after -h (help) display
  * Use unversionized -dev packages for expat and ncurses

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jun 2018 10:44:58 +0200
