=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
                dh-exec,
                flex,
                libcfitsio-dev,
-               libcurl4-gnutls-dev,
-               libexpat1-dev,
-               libncurses5-dev,
+               libcurl4-openssl-dev,
+               libexpat-dev,
+               libncurses-dev,
                libreadline-dev
 Section: science
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://iraf.noao.edu
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 
 Package: iraf
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: iraf-noao,
             python3-pyraf | x11iraf | xterm | python-pyraf,
@@ -39,7 +39,7 @@
  facility.
 
 Package: iraf-dev
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Multi-Arch: no
 Depends: gcc | c-compiler,
          iraf (= ${binary:Version}),
@@ -62,7 +62,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Depends: iraf (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: IRAF NOAO data reduction package
@@ -76,7 +76,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: arm64 armel armhf hurd-i386 linux-amd64 linux-i386 mips64el mipsel ppc64el
+Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
 Multi-Arch: no
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
