=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
                   --imdir $(BUILD_TMP)/imdir \
 	          --root $(iraf) < /dev/null || true
 	cp unix/f2c/libf2c/f2c.h include/
-	$(MAKE) $(IRAFARCH)
+	./util/mkarch $(IRAFARCH)
 
 override_dh_auto_build:
 	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ $(MAKE) sysgen
