=== debian/changelog ===
iraf (2.16.1+2018.11.01-6) unstable; urgency=medium

  * Fix setjmp symbol on i386

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Jul 2020 21:09:33 +0200

iraf (2.16.1+2018.11.01-5) unstable; urgency=medium

  * Fix missing option space in F77 cflags
  * Add x11iraf packages as Recommends for iraf
  * Fix multiple definitions of Fortran symbols

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Jul 2020 15:51:35 +0200

iraf (2.16.1+2018.11.01-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Submit, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata.

  [ Ole Streicher ]
  * Drop c-compiler alternative dep for iraf-dev (Closes: #960212)
  * Push Standards-Version to 4.5.0. No changes needed
  * Push dh compat to 13. Fix non-installed packages
  * Fix license short name for BSD-3-Clause
  * Fix minor dependency glitches in d/control

 -- Ole Streicher <olebole@debian.org>  Mon, 11 May 2020 20:18:07 +0200

iraf (2.16.1+2018.11.01-3) unstable; urgency=low

  * Add gitlab CI file
  * Push compat to 12. Remove d/compat
  * Ensure reproducible build
  * Remove (optional) Python recommends. (Closes: #945685)
  * Push Standards-Version to 4.1.1. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Nov 2019 09:06:34 +0100

iraf (2.16.1+2018.11.01-2) unstable; urgency=low

  * Rebuild graphcap/termcap caches and helpdb during build
  * Add alpha support

 -- Ole Streicher <olebole@debian.org>  Wed, 06 Feb 2019 11:28:59 +0100

iraf (2.16.1+2018.11.01-1) unstable; urgency=low

  * Change homepage to IRAF community
  * New upstream version 2.16.1+2018.11.01. Rediff patches.
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Sat, 10 Nov 2018 19:33:39 +0100

iraf (2.16.1+2018.06.15-8) unstable; urgency=low

  * Add riscv64 arch to *all* packages

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Oct 2018 23:23:53 +0200

iraf (2.16.1+2018.06.15-7) unstable; urgency=medium

  * Fix riscv64 arch name

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Oct 2018 23:17:16 +0200

iraf (2.16.1+2018.06.15-6) unstable; urgency=low

  * Fix defterm, imdif and cachedir in mkiraf.sh
  * Fix  `-x` option description in irafcl.man
  * Adjust order of graphics output: xterm first
  * Unconditionally use /usr/lib/iraf/ as default iraf dir
  * Add riscv64 support to zsvjmp.S
  * Fix sigsetjmp symbol for kfreebsd64

 -- Ole Streicher <olebole@debian.org>  Sun, 21 Oct 2018 21:20:45 +0200
