=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: iraf
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                flex,
                libcfitsio-dev,
                libcurl4-openssl-dev,
-               libexpat-dev,
+               libexpat1-dev,
                libncurses-dev,
                libreadline-dev
 Section: science
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Standards-Version: 4.1.4
-Homepage: http://iraf.noao.edu
+Standards-Version: 4.5.0
+Homepage: https://iraf-community.github.io
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 
 Package: iraf
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: iraf-noao,
-            python3-pyraf | x11iraf | xterm | python-pyraf,
-            saods9 | x11iraf
+            saods9 | ximtool,
+            xgterm | python3-pyraf | xterm
 Suggests: iraf-dev
 Multi-Arch: foreign
 Description: Image Reduction and Analysis Facility
@@ -39,9 +40,8 @@
  facility.
 
 Package: iraf-dev
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Multi-Arch: no
-Depends: gcc | c-compiler,
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
          libcfitsio-dev,
@@ -62,8 +62,10 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Depends: iraf (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Depends: iraf (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: foreign
 Description: IRAF NOAO data reduction package
  IRAF is the "Image Reduction and Analysis Facility". The main
@@ -76,8 +78,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any-amd64 any-i386 arm64 armel armhf mips64el mipsel ppc64el x32
-Multi-Arch: no
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}
