=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,16 @@
 
 export iraf=$(CURDIR)/
 export host=$(iraf)unix/
-BUILD_TMP=$(iraf)/irafbuild
+BUILD_TMP=$(CURDIR)/irafbuild
 export HOME=$(BUILD_TMP)
 export IRAFARCH=$(shell ./unix/hlib/irafarch.sh)
+PATH:=$(BUILD_TMP)/bin:$(PATH)
 
 override_dh_auto_configure:
-	mkdir -p $(BUILD_TMP)
+	mkdir -p $(BUILD_TMP) $(BUILD_TMP)/bin
 	sed "s/__VERSION__/$(DEB_VERSION)/" -i unix/hlib/zzsetenv.def
 	sed "s/__DATE__/$(shell date -uRd @$(SOURCE_DATE_EPOCH))/" -i unix/hlib/zzsetenv.def
-	./install -v --term xterm \
+	./install --term xterm \
                   --bindir $(BUILD_TMP)/bin \
 	          --cache $(BUILD_TMP)/cache \
                   --imdir $(BUILD_TMP)/imdir \
@@ -25,6 +26,7 @@
 
 override_dh_auto_build:
 	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ $(MAKE) sysgen
+	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ bin/cl.e -f debian/precompile.cl
 
 override_dh_auto_install:
 	for f in $(shell find . -name \*.hlp \
@@ -40,6 +42,9 @@
             -o -name \*.mip \
             -o -name \*.fits \
 	    -o -path ./dev/\* | \
+	    fgrep -v ./.pc/ | \
+	    fgrep -v ./doc/ | \
+	    fgrep -v ./debian/ | \
 	    cut -c3-) \
 	    unix/hlib/motd* \
 	    lib/syserrmsg lib/syshelpdir lib/scr/help.html ; do \
