=== debian/tests/control ===
Test-Command: ./test/run_tests test/*.md
Depends: @
