=== debian/watch ===
version=3
#opts=dversionmangle=s/\+.+//,uversionmangle=s/(.)(.+)/$1.$2/ \
# https://iraf.noao.edu/ ftp://iraf.noao.edu/iraf/v(.+)/PCIX/iraf-src.tar.gz
opts=uversionmangle=s/-/+/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/iraf-$1\.tar\.gz/ \
  https://github.com/iraf-community/iraf/tags .*/v?(\d\S+)\.tar\.gz
